Name:           nedit 
Version:        5.5
Release:        1
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openmotif-devel update-desktop-files
%if 0%{?suse_version} <= 1010
BuildRequires:	xorg-x11-devel
%endif
Group:          Applications/Editors
Summary:        A GUI text editor
Source0:	http://nedit.org/ftp/v5_5/nedit-%{version}-src.tar.bz2
Source1:	nedit-icon.png
Source2:	nedit.desktop
Patch1:		nedit-5.4-makefiles.patch
Patch2:		nedit-5.4-security.patch
Patch3:		nedit-5.5-utf8.patch
Patch4:		nedit-5.5-varfix.patch
Patch5:		nedit-5.5-nc-manfix.patch
Patch6:     nedit-5.5-null-pointers.patch
Patch7:         nedit-5.5-visfix.patch

%description
NEdit is a GUI style plain text editor for workstations with the X Window System
and Motif. NEdit provides all of the standard menu, dialog, editing,
mouse support, macro extension language, syntax highlighting,
and a lot other nice features (and extensions for programmers).

%prep
%setup -q
%patch1 -p1
%patch2 -p1 
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
cp %{S:1} $RPM_BUILD_DIR/%{name}-%{version}/
cp %{S:2} $RPM_BUILD_DIR/%{name}-%{version}/

%build
%if 0%{?suse_version} <= 1010
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -L/usr/X11R6/%{_lib}" \
     linux
%endif

%if 0%{?suse_version} > 1010
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
     linux
%endif

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
mv source/nc source/nedit-client
install -s -m 755 source/nedit source/nedit-client $RPM_BUILD_ROOT%{_bindir}
install -m 644 doc/nedit.man $RPM_BUILD_ROOT%{_mandir}/man1/nedit.1x
mv doc/nc.man doc/nedit-client.man
install -m 644 doc/nedit-client.man $RPM_BUILD_ROOT%{_mandir}/man1/nedit-client.1x
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 644 nedit-icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 nedit.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
%suse_update_desktop_file %name TextEditor

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc doc/nedit.doc README ReleaseNotes
%{_mandir}/*/*
%{_bindir}/*
%{_prefix}/share/applications/*
%{_datadir}/pixmaps/nedit-icon.png


